% Author:
% Date: 23.04.2008

%% Vereinfachen
%erst an Plus und Minus aufteilen
vereinfachen(T1 + T2, V) :- vereinfachen(T1, T1v), vereinfachen(T2, T2v), summe(T1v + T2v, V).
vereinfachen(T1 - T2, V) :- vereinfachen(T1, T1v), vereinfachen(T2, T2v), summe(T1v - T2v, V).
vereinfachen(T,V)        :- not(hatplus(T)), not(hatminus(T)), vereinfachen2(T,V).

%danach bei Mal und Durch, da ja Punkt vor Strick gilt.
vereinfachen2(T1 * T2,V) :- vereinfachen2(T1,T1v), vereinfachen2(T2,T2v), produkt(T1v * T2v, V).
vereinfachen2(T1 / T2,V) :- vereinfachen2(T1,T1v), vereinfachen2(T2,T2v), produkt(T1v / T2v, V).
vereinfachen2(T,T)       :- not(hatmal(T)), not(hatdurch(T)).

hatplus(_ + _).
hatminus(_ - _).
hatmal(_ * _).
hatdurch(_ / _).

