% Author:
% Date: 23.04.2008
?- consult('Produkt.pl').

summe(0 + T, T) :- !.
summe(T + 0, T) :- !.
summe(T1 + T2, T) :- integer(T1), integer(T2), T is T1 + T2, !.
summe(0 - T1, T) :- integer(T1), T is -T1, !.
summe(T - 0, T) :- !.
summe(T1 - T2, T) :- integer(T1), integer(T2), T is T1 - T2, !.
summe(A + B, B + A) :- not(integer(A)), integer(B).
summe(T - T, 0) :- !.
summe(A*T - T, S) :- summe(A - 1, A1), produkt(A1 * T, S), !.
summe(T - A*T, S) :- summe(1 - A, A1), produkt(A1 * T, S), !.

summe(A*T - B*T, S) :- summe(A - B, A1), produkt(A1 * T, S), !.
summe(A*T + B*T, S) :- summe(A + B, A1), produkt(A1 * T, S), !.  %Sven: Habe diese Zeile noch eingefgt, dass auch 2*a+2*a ausgewertet werden kann
summe(T1 + (T2 + T3), T4 + T3) :- vereinfachen(T1 + T2, T4), !.

summe(T, T).

